#  For more info: http://www.rpm.org/max-rpm/ch-rpm-basics.html
#
#  This spec file uses default directories:
#  /usr/src/redhat/SOURCES - orig source, patches, icons, etc.
#  /usr/src/redhat/SPECS - spec files
#  /usr/src/redhat/BUILD - sources unpacked & built here
#  /usr/src/redhat/RPMS - binary package files
#  /usr/src/redhat/SRPMS - source package files
#
###################################################################
#
#  Global Definitions
#
###################################################################
%define aversion 1.5
%define arelease 1_centos7
%define actversion %(echo %{aversion}|sed -e "s/-.*$//g")
%define subvers %(echo %{aversion}|awk "/-/"|sed -e "s/^.*-//"|awk '{print "0." $1 "."}')
%define actrelease %(echo %{subvers}%{arelease}|sed -e "s/-/_/g")

#Workaround for 64 bit CPUs
%define _lib lib

###################################################################
#
#  The Preamble
#  information that is displayed when users request info
#
###################################################################
Summary: Core Sounds for Asterisk, The Open Source PBX
Name: asterisk-sounds
Version: %{actversion}
Release: 1%{?rcver:.rc%{rcver}}%{?betaver:.beta%{betaver}}%{?debugthreads:.debugthreads}%{?dist}
License: GPL
Group: Utilities/System
#Source: %{name}-sources-%{aversion}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
URL: http://www.asterisk.org
Vendor: Digium, Inc.
Packager: Issabel Dev Team <devs@issabel.com>
BuildRequires: wget

#
# Other tags not used
#
#Distribution:
#Icon:
#Conflicts:
#Serial:
#Provides:
#AutoReqProv:
#ExcludeArch:

%description
Asterisk is an open source PBX and telephony development platform.  Asterisk  
can both replace a conventional PBX and act as a platform for the
development of custom telephony applications for the delivery of dynamic
content over a telephone; similar to how one can deliver dynamic content 
through a web browser using CGI and a web server.

Asterisk supports a variety of telephony hardware including BRI, PRI, POTS,
and IP telephony clients using the Inter-Asterisk eXchange (IAX) protocol (e.g. 
gnophone or miniphone).  For more information and a current list of supported
hardware, see http://www.asterisk.org 


%package en-gsm
Summary: Asterisk core sounds - en - gsm.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}
Requires: asterisk

%description en-gsm
This package contains Asterisk core sounds - en - gsm.


###################################################################
#
#  The Prep Section
#  If stuff needs to be done before building, this is the section
#  Use shell scripts to do stuff like uncompress and cd into source dir 
#  %setup macro - cleans old build trees, uncompress and extracts original source 
#
###################################################################
%prep
wget -c http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-en-gsm-%{aversion}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-extra-sounds-en-gsm-%{aversion}.tar.gz

###################################################################
#
#  The Build Section
#  Use shell scripts and do stuff that makes the build happen, i.e. make
#
###################################################################
%build

###################################################################
#
#  The Install Section
#  Use shell scripts and perform the install, like 'make install', 
#  but can also be shell commands, i.e. cp, mv, install, etc.. 
#
###################################################################
%install
mkdir -p $RPM_BUILD_ROOT/var/lib/asterisk/sounds/en/

tar xof asterisk-core-sounds-en-gsm-%{aversion}.tar.gz -C $RPM_BUILD_ROOT/var/lib/asterisk/sounds/en/
touch $RPM_BUILD_ROOT/var/lib/asterisk/sounds/.asterisk-core-sounds-en-gsm-%{aversion}

tar xof asterisk-extra-sounds-en-gsm-%{aversion}.tar.gz -C $RPM_BUILD_ROOT/var/lib/asterisk/sounds/en/
touch $RPM_BUILD_ROOT/var/lib/asterisk/sounds/.asterisk-extra-sounds-en-gsm-%{aversion}

###################################################################
#
#  Install and Uninstall 
#  This section can have scripts that are run either before/after
#  an install process, or before/after an uninstall process
#  %pre - executes prior to the installation of a package
#  %post - executes after the package is installed
#  %preun - executes prior to the uninstallation of a package
#  %postun - executes after the uninstallation of a package
#
###################################################################
%post

###################################################################
#
#  Verify
#
###################################################################
%verifyscript

###################################################################
#
#  Clean
#
###################################################################
%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version} 
%{__rm} -rf /var/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT

###################################################################
#
#  File List
#
###################################################################

%files en-gsm
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) /var/lib/asterisk/sounds/en/*.gsm
%attr(0664,asterisk,asterisk) /var/lib/asterisk/sounds/en/*/*.gsm
%attr(0664,asterisk,asterisk) /var/lib/asterisk/sounds/en/core-sounds-en.txt
%attr(0664,asterisk,asterisk) /var/lib/asterisk/sounds/en/CHANGES-asterisk-core-en-%{aversion}
%attr(0664,asterisk,asterisk) /var/lib/asterisk/sounds/en/CREDITS-asterisk-core-en-%{aversion}
%attr(0664,asterisk,asterisk) /var/lib/asterisk/sounds/en/LICENSE-asterisk-core-en-%{aversion}
%attr(0664,asterisk,asterisk) /var/lib/asterisk/sounds/.asterisk-core-sounds-en-gsm-%{aversion}
%attr(0664,asterisk,asterisk) /var/lib/asterisk/sounds/.asterisk-extra-sounds-en-gsm-%{aversion}
%attr(0664,asterisk,asterisk) /var/lib/asterisk/sounds/en/CHANGES-asterisk-extra-en-%{aversion}
%attr(0664,asterisk,asterisk) /var/lib/asterisk/sounds/en/CREDITS-asterisk-extra-en-%{aversion}
%attr(0664,asterisk,asterisk) /var/lib/asterisk/sounds/en/LICENSE-asterisk-extra-en-%{aversion}
%attr(0664,asterisk,asterisk) /var/lib/asterisk/sounds/en/extra-sounds-en.txt

%changelog
* Fri Oct 13 2017 Juan Bustos <juan@issabel.com> 1.5.0-0
- Initial Build
